"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.XrpFullBlock = void 0;
const managed_1 = require("../../utils/managed");
const BlockBase_1 = require("../BlockBase");
const TransactionBase_1 = require("../TransactionBase");
let XrpFullBlock = class XrpFullBlock extends BlockBase_1.XrpBlock {
    get transactions() {
        if (!this.data.result.ledger.transactions)
            return [];
        const transactions = [];
        for (const txData of this.data.result.ledger.transactions) {
            if (typeof txData === "string") {
                // Maybe raise invalid node response error
                return [];
            }
            const { metaData: _ } = txData, txDataRest = __rest(txData, ["metaData"]);
            const modifiedTxData = {
                result: Object.assign(Object.assign({}, txDataRest), { 
                    // TODO: this is due to xrpl.js lib mistakes
                    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
                    // @ts-ignore
                    hash: txData.hash, ledger_index: this.number, meta: txData.metaData, validated: this.isValid, date: this.data.result.ledger.close_time }),
                // TODO: this is due to xrpl.js lib mistakes
                id: "",
                type: "",
            };
            transactions.push(new TransactionBase_1.XrpTransaction(modifiedTxData));
        }
        return transactions;
    }
};
XrpFullBlock = __decorate([
    (0, managed_1.Managed)()
], XrpFullBlock);
exports.XrpFullBlock = XrpFullBlock;
//# sourceMappingURL=XrpFullBlock.js.map