"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const src_1 = require("../../src");
const algoCreateConfig = {
    algod: {
        url: process.env.ALGO_ALGOD_URL || "",
        token: process.env.ALGO_ALGOD_TOKEN || "",
    },
    indexer: {
        url: process.env.ALGO_INDEXER_URL || "",
        token: process.env.ALGO_INDEXER_TOKEN || "",
    },
    apiTokenKey: process.env.FLARE_API_PORTAL_KEY || "",
};
const hei = 21374440;
// only tests one axfer
describe(`Algo transaction from algod block VS from indexer compare`, async () => {
    describe(`Compare transactions  ${hei}`, function () {
        let MccClient;
        let BTrans;
        let ITrans;
        before(async function () {
            MccClient = new src_1.MCC.ALGO(algoCreateConfig);
            const tblock = await MccClient.getBlock(hei);
            if (tblock !== null) {
                const bttrans = tblock.transactions[0];
                if (bttrans) {
                    BTrans = bttrans;
                    const titrans = await MccClient.getIndexerTransaction(BTrans.txid);
                    if (titrans) {
                        ITrans = titrans;
                    }
                }
            }
        });
        it("Should compare transaction txid ", async function () {
            var _a;
            // eslint-disable-next-line @typescript-eslint/no-unused-vars
            const asset = await ((_a = MccClient.indexerClient) === null || _a === void 0 ? void 0 : _a.get(`/v2/assets/${127745593}`));
            (0, chai_1.expect)(BTrans.txid).to.eq(ITrans.txid);
        });
        it("Should compare transaction hash ", async function () {
            (0, chai_1.expect)(BTrans.hash).to.eq(ITrans.hash);
        });
        it("Should compare transaction std txid ", async function () {
            (0, chai_1.expect)(BTrans.stdTxid).to.eq(ITrans.stdTxid);
        });
        it("Should compare transaction reference ", async function () {
            (0, chai_1.expect)(BTrans.reference.length).to.eq(ITrans.reference.length);
            ITrans.reference.sort();
            BTrans.reference.sort();
            for (let i = 0; i < BTrans.reference.length; i++) {
                (0, chai_1.expect)(BTrans.reference[i]).to.eq(ITrans.reference[i]);
            }
        });
        it("Should compare transaction stdPaymentReference ", async function () {
            (0, chai_1.expect)(BTrans.stdPaymentReference).to.eq(ITrans.stdPaymentReference);
        });
        it("Should compare transaction unix timestamp ", async function () {
            (0, chai_1.expect)(BTrans.unixTimestamp).to.eq(ITrans.unixTimestamp);
        });
    });
});
//# sourceMappingURL=transactionCompare.test.js.map