"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const src_1 = require("../../src");
const DogeMccConnection = {
    url: process.env.DOGE_URL || "",
    username: process.env.DOGE_USERNAME || "",
    password: process.env.DOGE_PASSWORD || "",
    apiTokenKey: process.env.FLARE_API_PORTAL_KEY || "",
};
describe("Block DOGE base test ", function () {
    let MccClient;
    let status;
    before(async function () {
        MccClient = new src_1.MCC.DOGE(DogeMccConnection);
        status = await MccClient.getNodeStatus();
    });
    it("Should get status version ", async function () {
        const version = status.version.split("_");
        (0, chai_1.expect)(version[0]).to.be.eq("1140500");
    });
    it("Should get status state ", async function () {
        (0, chai_1.expect)(status.state).to.eq("full");
    });
    it("Should get status isHealthy ", async function () {
        (0, chai_1.expect)(status.isHealthy).to.eq(true);
    });
    it("Should get status isSynced ", async function () {
        (0, chai_1.expect)(status.isSynced).to.eq(true);
    });
});
describe("DOGE bottom block ", function () {
    let MccClient;
    before(async function () {
        MccClient = new src_1.MCC.DOGE(DogeMccConnection);
    });
    it("Should get status version ", async function () {
        const bottom = await MccClient.getBottomBlockHeight();
        (0, chai_1.expect)(bottom).to.eq(0);
    });
});
//# sourceMappingURL=status.test.js.map