import { AddressAmount, PaymentSummaryResponse } from "../src";
import { TransactionSuccessStatus } from "../src/types";
export declare const expectThrow: (method: any, errorMessage: any) => Promise<void>;
export declare function round_for_ltc(input: number): number;
export declare function sendMinimalUTXOTransaction(RPC: any, fromWalletLabel: string, from: string, to: string): Promise<any>;
export declare function addressToBtyeAddress(address: string): Uint8Array;
export declare function singleAddressAmountEqual(a: AddressAmount, b: AddressAmount): boolean;
export declare function AddressAmountEqual(a: AddressAmount[], b: AddressAmount[]): boolean;
export interface algoTransactionTestCases extends transactionTestCases {
    block: number;
}
export interface transactionTestCases {
    description: string;
    txid: string;
    expect: expectTransactionTestCase;
    makeFull?: boolean;
    summary: PaymentSummaryResponse;
}
export interface expectTransactionTestCase {
    txid: string;
    stdTxid: string;
    hash: string;
    reference: string[];
    stdPaymentReference: string;
    unixTimestamp: number;
    sourceAddresses: (string | undefined)[];
    receivingAddresses: (string | undefined)[];
    isFeeError: boolean;
    fee: string;
    spentAmounts: AddressAmount[];
    receivedAmounts: AddressAmount[];
    type: string;
    isNativePayment: boolean;
    currencyName: string;
    elementaryUnits: string;
    successStatus: TransactionSuccessStatus;
    isOneToOne?: boolean;
}
/**
 * Returns truncated file path.
 * @param file module filename
 * @returns file path from `test/` on, separated by `'/'`
 */
export declare function getTestFile(myFile: string): string;
//# sourceMappingURL=testUtils.d.ts.map